FROM node:22-alpine AS base

WORKDIR /app

COPY package.json package-lock.json ./
RUN npm ci --omit=dev

COPY src ./src
COPY .env.example ./.env.example
COPY drizzle.config.js ./drizzle.config.js

EXPOSE 3001

CMD ["node", "src/server.js"]
